clubs/urls.py
from django.urls import path
from .import views

app_name = 'clubs'
urlpatterns = [
    path('', views.clubshome, name='clubshome'),
    path('history/', views.clubs_history, name='history'),
]

dpi_sms/urls.py
from django.contrib import admin
from django.urls import path, include
from mainapp.views import redirectView
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    #stands for homepage
    path('welcome/', include('mainapp.urls')),
    #regx will say for whom it's been made :p
    path('', redirectView),
    path('clubs/', include('clubs.urls')),
    path('teachers/', include('teachers.urls')),
]


urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

mainapp/urls.py
from django.urls import path
from .import views

app_name = 'mainapp'
urlpatterns = [
    path('', views.home, name='home'),
    path('dummy/', views.dummy, name='dummy')
]

teachers/urls.py
from django.urls import path
from .import views


app_name = 'teachers'
urlpatterns = [
    path('', views.index, name='teachershome'),
    path('<int:teacher_id>/detail/', views.teacher_detail, name='teacher_detail'),
    path('add/', views.addTeacherView, name='add'),
    path('del/<int:pk>/', views.deleteView, name='delete'),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
		<meta charset="utf-8">
		<meta name="author" content="Tareq Monwer | Daffodil Polytechnic">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>DPI SMS: </title>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Montserrat:400i" rel="stylesheet"> 
		<link href="https://fonts.googleapis.com/css?family=Poppins" rel="stylesheet"> 
    <!-- FONTAWESOME -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css">
    <!-- BOOTSTRAP -->
    <link rel="stylesheet" href="{% static 'css/bootstrap/bootstrap.min.css' %}">
    <!-- CUSTOM CSS -->
		<link rel="stylesheet" href="{% static 'css/main.css' %}">
		<!-- clubs css -->
		<link rel="stylesheet" href="{% static 'clubs/css/club.css' %}">
</head>
<body id="body">
    <!-- NAVBAR -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-custom1" id="nav-main">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'mainapp:home' %}">Direccion</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'mainapp:home' %}">Salir <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Presio</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Contratos</a>
            </li>
          </ul>
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="">Iniciar Sesion</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="">Registrar</a>
            </li>
          </ul>
        </div>
        </div>
    </nav>


    <!-- HEADER -->
	<header id="header">
		<div class="container">
			<div class="row">
				<div class="col-md-10 py-3">
					<h1><span><i class="fas fa-cogs"></i></span> Zamora-Ecuador SecucorpDD <small class="text-muted hide-on-767"> ____Seguridad Informatica</small></h1>
				</div>
				<div class="col-md-2 mt-4" id="ButtonAction">
					<div class="dropdown">
					  <button class="btn bg-custom1 text-light dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					    Action
					  </button>
					  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
					    <a class="dropdown-item" href="#">Create New</a>
					    <a class="dropdown-item" href="#">Update Tables</a>
					    <a class="dropdown-item" href="#">Manage Events</a>
					  </div>
					</div>
				</div>
			</div>
		</div>
    </header>
    
    <!-- MAIN -->
	<section id="main" class="mt-4">
		<div class="container-fluid">
			<div class="row">
				<!-- SIDEBAR -->
				<div class="col-md-3">
					<div class="list-group" id="sidenav">
					  <a href="{% url 'mainapp:home' %}" class="list-group-item list-group-item-action active">
					    <span><i class="fas fa-cogs"></i></span> Dashboard
					  </a>
					  <a href="#" class="list-group-item list-group-item-action"><span>
					  	<i class="fas fa-graduation-cap"></i></span> Student 
					  	<span class="badge badge-dark float-right">100</span>
					  </a>
					  <a href="{% url 'teachers:teachershome' %}" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-chalkboard-teacher"></i></span> Teacher 
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-university"></i></span> Department 
					  	<span class="badge badge-dark float-right">30</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-building"></i></span> Campus
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="{% url 'clubs:clubshome' %}" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-network-wired"></i></span> Clubs
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-users"></i></span> Parents
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-book-reader"></i></span> Library
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-chalkboard-teacher"></i></span> Routine
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					  <a href="#" class="list-group-item list-group-item-action">
					  	<span><i class="fas fa-calendar-week"></i></span> Events
					  	<span class="badge badge-dark float-right">20</span>
					  </a>
					</div>
				</div> <!-- sidebar -->

				<!-- for all pages -->
				<div class="col-md-9">
					<div class="row"> <!-- row1 -->
            {% block body %}
            {% endblock %}
					</div>
				</div> <!-- main area -->
			</div> <!-- row -->
		</div>  <!-- container of main -->
	</section> <!-- main section -->


    <!-- FOOTER -->
<footer id="footer">
	<div class="py-1 mt-5 container">
		<div class="d-flex justify-content-between mt-1">
			<div class="col-md-4xx">
				<h6 class="text-light">DPI &copy; 2019</h6>
			</div>
			<div class="col-md-4xx">
				<h6 class="text-light">Developed by <em>tareqmonwer</em></h6>
			</div>
			<div class="col-md-4xx">
				<h6 class="text-light">Powered by Django, Bootstrap4</h6>
			</div>
		</div>
	</div>
</footer>

  	<!-- JQUERY -->
    <script src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
    <!-- POPPER JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
    <!-- BOOTSTRAP JS -->
		<script src="{% static 'js/bootstrap.min.js' %}"></script>
		<script type="text/javascript" src="{% static 'js/base.js' %}"></script>

		<script>
		</script>
</body>
</html>

templates/dummy.html
{% extends 'base.html' %}
{% block body %}

<h1>Bienvenido </h1>

{% endblock %}

templates/index.html
{% extends 'base.html' %}
{% block body %}
{% load static %}

<div class="col-md-12 mb-3">
    <!-- top row -->
    <div class="card">
        <h5 class="card-header bg-custom1 text-light">Gestion Cursos de desarrolo Web DJ-UNL</h5>
        <div class="card-body">
            <div class="row">
                <div class="col-md-3 text-center border-right">
                    <div class="well das-box">
                        <h2><i class="fas fa-user-friends"></i></h2>
                        <h4 class="text-muted">{{students.count}}</h4>
                        <h4>Estudiantes</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center border-right">
                    <div class="well">
                        <h2><i class="fas fa-chalkboard-teacher"></i></h2>
                        <h4 class="text-muted">{{teachers.count}}</h4>
                        <h4>Expositores</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center border-right">
                    <div class="well">
                        <h2><i class="fas fa-network-wired"></i></h2>
                        <h4 class="text-muted">{{clubs.count}}</h4>
                        <h4>Costo 100$</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center">
                    <div class="well">
                        <h2><i class="fas fa-book-reader"></i></h2>
                        <h4 class="text-muted">1000</h4>
                        <h4>Libros</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<hr>
<div class="row mt-4">
    <!-- row2 -->
    <div class="col-md-6">
        <!-- event -->
        <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="d-block w-100" src="{% static 'images/event1.jpg' %}" alt="First slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-101</h5>
                        <p class="d-block bg-custom1-fade">Zamora-Zumbi</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{% static 'images/event2.jpg' %}" alt="Second slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-102</h5>
                        <p class="d-block bg-custom1-fade">Loja  | Ecuador</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{% static 'images/event3.jpg' %}" alt="Third slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-103</h5>
                        <p class="d-block bg-custom1-fade">England | Royal Park</p>
                    </div>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </div>
    <div class="col-md-6">
        <div class="row">
            <div class="col-md-6 mb-3">
                <!-- meetings -->
                <div class="card bg-warning text-light">
                    <div class="card-body" id="meetingbtn" data-toggle="modal" data-target="#Modalmeeting">
                        {% if meetings %}
                        <h4>Some meetings are scheduled</h4>
                        <span class="badge badge-dark">
                            {{ meetings.count }}
                        </span>
                        {% else %}
                        <h4>No meeting scheduled</h4>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-3">
                <!-- student care -->
                <div class="card bg-danger text-light">
                    <div class="card-body">
                        Student Care: Absent
                        <span class="badge badge-dark">10</span>
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-3">
                <!-- todo -->
                <div class="card bg-secondary text-light">
                    <div class="card-body" id="todobtn" data-toggle="modal" data-target="#Modaltodo">
                        <p>
                            ToDo List
                        </p>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>


<!-- Modal for meetings -->
<div class="modal fade" id="Modalmeeting" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-custom1 text-light">
                <h5 class="modal-title" id="exampleModalLabel">Detalle de Reunion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="list-group">
                    {% for meeting in meetings %}
                    <li class="list-group-item"><span>{{ meeting }} </span></li>
                    {% endfor %}
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn bg-custom1 text-light" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal for todo -->
<div class="modal fade" id="Modaltodo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-custom1 text-light">
                <h5 class="modal-title" id="exampleModalLabel">My Todo Board</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="list-group">
                    {% for do in todos %}
                    <li class="list-group-item"><span>{{ do.todo }} </span>
                        <span class="float-right">{{ do.todo_time|date:"Y-m-d:g-i" }}</span></li>
                    {% endfor %}
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn bg-custom1 text-light" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

{% endblock %}